Vai al contenuto

Returns the list of the business relations.

Richiesta

Security policies: OrganizationOrGlobalBusinessRelationView

Sicurezza
OpenIdConnect
Percorso
idstringobbligatorio

The organization identifier

Query
productIdstring

The product identifier of the business relation to filter. (Default: Not applied)

legalEntityIdstring

The legal entity identifier of the business relation to filter. (Default: Not applied)

legalEntityNamestring

The legal entity name of the business relation to filter. Ignored if a search filter is defined. (Default: Not applied)

consumerIdsPathstring

The consumer identifiers path of the business relation to filter. (Default: Not applied)

originIdstring

The origin identifier of the business relation to filter. (Default: Not applied)

originIdIsNullboolean

Boolean, which defines whether to filter business relations with OriginId null or not null. Ignored if originId is defined. (Default: Not applied)

integratorIdstring

The integrator identifier to filter. (Default: Not applied)

integratorLabelstring

The integrator label to filter. (Default: Not applied)

resourceTypestring
createdAtFromstring

Date and time from when business relation was created. ISO 8601 format. Example: 2023-11-28T08:14:32.585Z (Default: Not applied)

createdAtTostring

Date and time to when business relation was created. ISO 8601 format. Example: 2023-11-28T08:14:32.585Z (Default: Not applied)

updatedAtFromstring

Date and time from when this business relation was updated. ISO 8601 format. Example: 2023-11-28T08:14:32.585Z (Default: Not applied)

updatedAtTostring

Date and time to when this business relation was updated. ISO 8601 format. Example: 2023-11-28T08:14:32.585Z (Default: Not applied)

searchstring

The identifier, legal entity name or integrator identifier to filter. (Default: Not applied)

exactboolean

Boolean, which defines whether the params legalEntityName and search must match exactly. (Default: false)

pageNumberinteger, (int32)

The page number of pagination. (Default: 1)

pageSizeinteger, (int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean
legalEntityModeboolean

Boolean, which defines if try to use the legal entity associated with the organization consumer. (Default: false)

GET
/v1/organizations/{id}/business-relations
curl -i -X GET \
  '/v1/organizations/{id}/business-relations?productId=string&legalEntityId=string&legalEntityName=string&consumerIdsPath=string&originId=string&originIdIsNull=true&integratorId=string&integratorLabel=string&resourceType=string&createdAtFrom=string&createdAtTo=string&updatedAtFrom=string&updatedAtTo=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true&legalEntityMode=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Risposte

OK

Corpoapplication/json
itemsArray of objects(BusinessRelationDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger, (int32)

The current page number.

pageSizeinteger, (int32)

Number or items in a page.

totalPagesinteger, (int32)read-only

Total number of pages.

totalItemsinteger, (int32)

Total number of items that exist for the query.

Risposta
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }